JGME Pay
Collections

Collection API - Direct

Charge the Customer via API

POST
/payments/v1/payments/direct-charge

Authorization

clientId clientSecret
client-id<token>

In: header

client-secret<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/payments/v1/payments/direct-charge" \  -H "Content-Type: application/json" \  -d '{    "provider": "airtel-smartcash-ng",    "amount": 100000,    "customerInput": {}  }'
{  "data": {    "reference": "string",    "status": "string",    "sessionId": "string",    "amount": 100000  }}